﻿.flow-step, .dragging-node
{
}
.displayNameText
{
    width: 140px;
}
.flow-step-select
{
    border-color: #DBC0C0;
}
.flow-step-start
{
    height: 27px;
    width: 190px;
    border: 1px solid #bcbcba;
    font-weight: bold;
    background: #f5f5f5 url(../images/webflow/start.gif) 8px center no-repeat;
    border-radius: 5px;
}
.flow-step-start .displayNameText
{
    margin-left: 25px;
    font-size: 12px;
    font-weight: bold;
    top: 5.5px;
    border: none;
    background-color: #f5f5f5;
    color: #414241;
    position: relative;
}
.flow-step-auto
{
    width: 190px;
    border: 1px solid #bcbcba;
    border-radius: 5px;
}
.flow-step-auto-up
{
    height: 35px;
    background: #f5f5f5 url(../images/webflow/auto.gif) 13px center no-repeat;
    border-radius: 5px;
}
.flow-step-auto .displayNameText
{
    margin-left: 42px;
    font-size: 12px;
    font-weight: bold;
    margin-top: 9px;
    border: none;
    background-color: #f5f5f5;
    color: #414241;
}
.flow-step-auto-attr
{
    width: 190px;
    border: 1px solid #bcbcba;
    border-radius: 5px;
}
.flow-step-auto-attr-up
{
    height: 35px;
    background: #f5f5f5 url(../images/webflow/auto.gif) 13px center no-repeat;
    border-bottom: 1px solid #bcbcba;
    border-radius: 5px 5px 0px 0px;
}
.flow-step-auto-attr .displayNameText
{
    margin-left: 42px;
    font-size: 12px;
    font-weight: bold;
    margin-top: 9px;
    border: none;
    background-color: #f5f5f5;
    color: #414241;
}
.flow-step-auto-attr-down
{
    height: 35px;
}
/*.flow-step-auto-attr-down */
.process-variable
{
    font-size: 12px;
    float: left;
    position: relative;
    top: 10.5px;
    left: 115px;
    background-image: url(../images/webflow/attr.gif);
    background-repeat: no-repeat;
}
.flow-step-auto-attr-down a
{
    padding-left: 20px;
}
.flow-step-decision
{
    width: 190px;
    height: 35px;
    border: 1px solid #bcbcba;
    background: #f5f5f5 url(../images/webflow/decision.gif) 13px center no-repeat;
    border-radius: 5px;
}
.flow-step-decision .displayNameText
{
    margin-left: 42px;
    font-size: 12px;
    font-weight: bold;
    margin-top: 9px;
    border: none;
    background-color: #f5f5f5;
    color: #414241;
}

.flow-step-switch
{
    width: 190px;
    border: 1px solid #bcbcba;
    border-radius: 5px;
}
.flow-step-switch-up
{
    height: 35px;
    background: #f5f5f5 url(../images/webflow/switch.gif) 13px center no-repeat;
    border-bottom: 1px solid #bcbcba;
    border-radius: 5px 5px 0px 0px;
}
.flow-step-switch .displayNameText
{
    margin-left: 42px;
    font-size: 12px;
    font-weight: bold;
    margin-top: 9px;
    border: none;
    background-color: #f5f5f5;
    color: #414241;
}
.flow-step-switch-down
{
    height: 35px;
}
.flow-step-switch .process-switch
{
    font-size: 12px;
    float: left;
    position: relative;
    top: 10.5px;
    left: 115px;
    background-image: url(../images/webflow/action.gif);
    background-repeat: no-repeat;
}
.flow-step-switch a
{
    padding-left: 20px;
}
.flow-step-process
{
    width: 190px;
    border: 1px solid #bcbcba;
    border-radius: 5px;
}
.flow-step-process .displayNameText
{
    margin-left: 40px;
    font-size: 12px;
    font-weight: bold;
    margin-top: 9px;
    border: none;
    background-color: #f5f5f5;
    color: #414241;
}
.flow-step-process-up
{
    height: 35px;
    background: #f5f5f5 url(../images/webflow/process.gif) 15px center no-repeat;
    border-bottom: 1px solid #bcbcba;
    border-radius: 5px 5px 0px 0px;
}
.flow-step-process-down
{
    height: 35px;
}
.flow-step-process .process-switch
{
    font-size: 12px;
    float: left;
    position: relative;
    top: 10.5px;
    left: 50px;
    background-image: url(../images/webflow/action.gif);
    background-repeat: no-repeat;
}
.flow-step-process a
{
    padding-left: 20px;
}
/*.flow-step-process */
.process-variable
{
    font-size: 12px;.bizflow-box.ui-tabs .ui-tabs-nav
    position: relative;
    top: 10.5px;
    left: 60px;
    background-image: url(../images/webflow/attr.gif);
    background-repeat: no-repeat;
    float: left;
}
.process-variable a
{
    padding-left: 20px;
}

.flow-step-boolvalueout
{
    width: 190px;
    height: 35px;
    border: 1px solid #bcbcba;
    background: #f5f5f5 url(../images/webflow/decision.gif) 13px center no-repeat;
    border-radius: 5px;
}
.flow-step-boolvalueout .displayNameText
{
    margin-left: 42px;
    font-size: 12px;
    font-weight: bold;
    margin-top: 9px;
    border: none;
    background-color: #f5f5f5;
    color: #414241;
    width: 130px;
}
.flow-step-stringvalueout,.flow-step-bizflowswitch
{
    width: 190px;
    border: 1px solid #bcbcba;
    border-radius: 5px;
}
.flow-step-stringvalueout-up,.flow-step-bizflowswitch-up
{
    height: 35px;
    background: #f5f5f5 url(../images/webflow/switch.gif) 13px center no-repeat;
    border-bottom: 1px solid #bcbcba;
    border-radius: 5px 5px 0px 0px;
}
.flow-step-stringvalueout .displayNameText,.flow-step-bizflowswitch .displayNameText
{
    margin-left: 42px;
    font-size: 12px;
    font-weight: bold;
    margin-top: 9px;
    border: none;
    background-color: #f5f5f5;
    color: #414241;
}
.flow-step-stringvalueout-down,.flow-step-bizflowswitch-down
{
    height: 35px;
}
.flow-step-stringvalueout .process-switch
{
    font-size: 12px;
    float: left;
    position: relative;
    top: 10.5px;
    left: 115px;
    background-image: url(../images/webflow/action.gif);
    background-repeat: no-repeat;
}
.flow-step-bizflowswitch .process-switch
{
    font-size: 12px;
    float: left;
    position: relative;
    top: 10.5px;
    left: 50px;
    background-image: url(../images/webflow/action.gif);
    background-repeat: no-repeat;
}
.flow-step-stringvalueout a,.flow-step-bizflowswitch a
{
    padding-left: 20px;
}
.flow-step-view
{
    width: 190px;
}

.flow-step-view-process
{
    border: 1px solid #5ba3db;
    border-radius: 5px;
}
.flow-step-view-process .flow-step-view-up
{
    height: 35px;
    font-size: 12px;
    font-weight: bold;
    color: #414241;
    line-height: 35px;
    padding-left: 40px;
    border-radius: 5px 5px 0px 0px;
}
.flow-step-view-process .flow-step-view-down
{
    height: 35px;
    font-size: 12px;
    color: #414241;
}
.flow-step-view-process .process-excutor
{
    float: left;
    position: absolute;
    left: 15px;
    line-height: 35px;
}
.flow-step-view-process .process-date
{
    position: absolute;
    right: 15px;
    line-height: 35px;
    float: left;
}
.flow-step-view-process-excuted
{
    border: 1px solid #8dbd59;
}
.flow-step-view-process-excuted .flow-step-view-up
{
    background: #d8f5aa url(../images/webflow/process-custom.gif) 15px center no-repeat;
    border-bottom: 1px solid #8dbd59;
}
.flow-step-view-process-excuting
{
    border: 1px solid #5ba3db;
}
.flow-step-view-process-excuting .flow-step-view-up
{
    background: #cdebfe url(../images/webflow/process.gif) 15px center no-repeat;
    border-bottom: 1px solid #5ba3db;
}

.flow-step-view-process-noready
{
    border: 1px solid #bcbcba;
}
.flow-step-view-process-noready .flow-step-view-up
{
    background: #f5f5f5 url(../images/webflow/noready.gif) 15px center no-repeat;
    border-bottom: 1px solid #bcbcba;
}


.flow-step-view-auto
{
    border-radius: 5px;
    border: 1px solid #bcbcba;
}
.flow-step-view-auto .flow-step-view-up
{
    height: 35px;
    font-size: 12px;
    font-weight: bold;
    color: #414241;
    line-height: 35px;
    padding-left: 40px;
    background: #f5f5f5 url(../images/webflow/noready.gif) 15px center no-repeat;
    border-radius: 5px;
}
.flow-step-view-auto-excuted
{
    border: 1px solid #8dbd59;
}
.flow-step-view-auto-excuted .flow-step-view-up
{
    background: #d8f5aa url(../images/webflow/accept.png) 15px center no-repeat;
}

.flow-step-view-auto-noready
{
    border: 1px solid #bcbcba;
}
.flow-step-view-auto-noready .flow-step-view-up
{
    background: #f5f5f5 url(../images/webflow/noready.gif) 15px center no-repeat;
}

.flow-step-view-decision-excuted
{
    border: 1px solid #edc055;
}
.flow-step-view-decision-excuted .flow-step-view-up
{
    background: #f9f1c5 url(../images/webflow/decision.gif) 15px center no-repeat;
}
.flow-step-view-decision-noready
{
    border: 1px solid #edc055;
}
.flow-step-view-switch-excuted
{
    border: 1px solid #edc055;
    background: #f9f1c5 url(../images/webflow/switch.gif) 15px center no-repeat;
}
.flow-step-view-switch-noready
{
    border: 1px solid #edc055;
    background: #f9f1c5 url(../images/webflow/switch.gif) 15px center no-repeat;
}
.ui-design-window
{
    border: solid 1px #cccccc;
    position: relative;
    background: #ffffff;
    overflow: scroll;
}
.ui-design-window-edit
{
    border: solid 1px #cccccc;
    position: relative;
    background: #ffffff;
    overflow: scroll;
}
.ui-design-window-detail
{
    border: solid 1px #cccccc;
    position: relative;
    background: #ffffff;
    overflow: scroll;
}

.formClass input
{
    width: 380px;
    margin-right: 210px;
}
.formClass textarea
{
    width: 380px;
    margin-right: 210px;
}
.formClass label
{
    font-size: 12px;
}
.formClass div
{
    text-align: right;
    padding: 2px 20px 2px 40px;
}

.flowstep-man-excuted
{
    background-color: #C5E5F9;
    background: url(../images/flowchart/man-excuted.gif) no-repeat;
}
.flowstep-man-excuting
{
    background-color: #D8F5AA;
    background: url(../images/flowchart/man-excuting.gif) no-repeat;
}
.flowstep-man-noready
{
    background-color: #FFFFDD;
    background: url(../images/flowchart/man-notready.gif) no-repeat;
}


.flowstep-auto-excuted
{
    background: url(../images/flowchart/auto-excuted.gif) no-repeat;
}

.flowstep-auto-noready
{
    background: url(../images/flowchart/auto-notready.gif) no-repeat;
}
.step-view-displayname
{
    height: 32px;
    line-height: 32px;
    vertical-align: middle;
    font-family: 微软雅黑;
    font-weight: bold;
    padding-left: 40px;
}
.step-view-excutor
{
    height: 32px;
    line-height: 32px;
    padding-left: 5px;
}
.menu-left
{
    border: 1px solid #cccccc;
}

.menu-box
{
    width: 148px;
    text-align: left;
}
.menu-box h1
{
    font-size: 12px;
    width: 136px;
    height: 25px;
    line-height: 25px;
    color: #fff;
    background: #4985c3;
    border: 1px solid #cccccc;
    border-left: none;
    border-right: none;
    margin: 0;
    padding: 0;
    padding-left: 10px;
}
.menu-box ul
{
    padding: 0;
    margin: 0;
    border-top: none;
    padding: 5px;
    width: 136px;
}
.menu-box ul li
{
    list-style: none;
    text-align: left;
    padding: 0;
    margin: 0;
    margin-bottom: 5px;
    height: 32px;
    background: #f0f0f0;
    padding-left: 10px;
}
.menu-box ul li img
{
    border: none;
    vertical-align: middle;
}
.menu-box ul li a
{
    color: #414241;
    line-height: 32px;
    font-size: 12px;
    white-space: nowrap;
    width: 110px;
    overflow: hidden;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
}

.menu-box.process ul li
{
    background: none;
    height: 18px;
    padding-left: 5px;
}
.menu-box.process ul li a
{
    background: none;
    height: 18px;
    line-height: 18px;
}

#actionTypesList
{
    width: 300px;
}

/**flow char log**/
.hover-container
{
    position: absolute;
    z-index: 99999;
    border: 1px solid #ffbb76;
    background-color: #fffcef;
    padding: 15px;
    border-radius: 5px 5px 5px 5px;
    color:#786049;
    width:300px;
    height:48px;
    overflow:auto;
}
.log-flowchar .content
{
    line-height:18px;
    font-size:12px;
}
.log-flowchar .content
{
    float: left;
}
.hover-container + .side
{
    position:absolute;
    z-index: 99999;
    background-repeat:no-repeat;
    clear:both;
    background-image:url(../images/webflow/flow-log-side.png);
    background-position-x:15px;
    height:7px;
    width:300px;
    margin-top: -2px;
}

.flow-step-view-process.delegation .flow-step-view-up
{
    background-image: url(../images/webflow/process-delegation.gif);
    background-position-x: 5%;
}
.flow-step-view-process.countersign .flow-step-view-up
{
    background-image: url(../images/webflow/process-countersign.gif);
    background-position-x: 5%;
}


/**bizsegment
**/
.activity-block
{
    width: 190px;
    height:36px;
    border:1px solid #BBBBB9;
    background-color:#f5f5f5;
    border-bottom-width:2px;
   /*
    border-radius: 5px;   
    -moz-border-radius:5px;
    -webkit-border-radius:5px; 
    */
}

.activity-block .floor-left
{
    background-image:url(./images/flow-gray.png);
    background-repeat:no-repeat;
    background-position:38px 50%;
    float:left;
    width: 66px;
    height: 36px;
}
.activity-block .floor-right{
    float:left;
    color:#434343;
    font-weight:bold;
    height:36px;
    line-height:36px;
    white-space:nowrap;
    overflow:hidden;
    text-overflow:ellipsis;
    max-width:135px;
    font-size: 14px;
}

.activity-block.selected
{
    border-color:rgb(123, 155, 12);
}

.activity-block .floor-up
{
    height: 35px;
    background: #f5f5f5 url(./images/webflow/process.gif) 15px center no-repeat;
    border-bottom: 1px solid #bcbcba;
    border-radius: 5px 5px 0px 0px;
}
.activity-block .display-name
{
    border: none;
    background-color: transparent;
    width: 100px;
    margin-top: 9px;
    color: #414241;
    font-weight: bold;
    font-size:14px;
}
.activity-block .display-name:focus
{
    border:inherit;
}

.activity-block .floor-down
{
    height: 35px;
}
.activity-block .floor-down .button-area
{
    float:right;
    margin-top:10px;
}
.activity-block .floor-down .button-area a
{
    cursor:pointer;
}
.base-line
{
    width: 2px;
    position:absolute;
    background-color: #BCBCBA;
}
.base-line.hover{background-color: rgb(123, 155, 12);}
.arrow
{
    /*position:absolute;*/
    width:12px;
    height:20px;
}
.ui-design-window .selected
{
    border-width:2px;
}
.arrow.down{background-image:url(./images/arrow-gray-down.png);}
/*.arrow.down.hover{background-image:url(./images/arrow-green-down.png);}*/
.arrow.up{background-image:url(./images/arrow-gray-up.png);}
/*.arrow.up.hover{background-image:url(./images/arrow-green-up.png);}*/

.subflows
{
    min-height: 70px;
    border: 1px solid #ffbb76;
    background-color: #fffcef;
    border-radius: 5px 5px 5px 5px;
    color: #786049;
    width:200px;
    margin-left:10px;
}
.subflows table
{
    width:100%;
}
.subflows.selected
{
    border-width: 2px;
}

.subflows table td
{
    border-bottom: solid 1px #cccccc;
    padding-left: 4px;
    line-height:20px;
}
.subflows table td .del-subflow
{
    cursor:pointer;
    text-decoration: none;
    color: #2D59BC;
}
.bizflow-chart
{
    min-height:600px;
}
.bizflow-chart .ui-paintpanel
{
    min-height:600px;
    border:none;
}
.ui-paintpanel
{
    /*border: solid 1px #cccccc;*/
    position: relative;
    background: #ffffff;
    overflow:hidden;
    min-height:580px;
}
.ui-dialog .ui-paintpanel
{
    border:none;
    height:505px;
    min-height:505px;
    overflow-y: auto;
    width:700px !important;
    left:0px !important;
}
.activity-block.Wait
{
    border-color: rgb(170, 170, 169);
}
.activity-block.Wait .floor-up 
{
    background-color:#f5f5f5 ;
}
.activity-block.Ready
{
    border-color: #5aa3da;
    background-color: #ceeaff;
}
.activity-block.Ready .floor-left
{
    background-color:#cdebfe;
    background-image:url(./images/flow-blue.png);
}
.activity-block.Ready .floor-up 
{
    background-color:#cdebfe;
}
.activity-block.Running
    {
    border-color: #5aa3da;
    background-color: #ceeaff;
}
.activity-block.Running .floor-left
{
    background-image:url(./images/flow-blue.png);
    background-color:#cdebfe;
}
.activity-block.Running .floor-up 
{
    background-color:#cdebfe;
}

.activity-block.Finish
{
    border-color: #88BF33;
    background-color:#d8f5aa;
}
.activity-block.Finish .floor-left
{
    background-image:url(./images/flow-green.png);
    background-color:#d8f5aa;
}
.activity-block.Finish .floor-up 
{
    background-color:#B5E8BB;
}

.ui-dialog .bizflow-box
{
    height:660px !important;
}

.bizflow-box {
    width: 100%;
    height: auto;
    border-top: 4px solid #4985C3 !important;
    /*border-left: 1px solid #C2C2C2 !important;
    border-right: 1px solid #C2C2C2 !important;
    border-bottom: 1px solid #C2C2C2 !important;*/
}
.bizflow-box.dialog-body
{
    padding:0px !important;
}
.bizflow-box .bizflow-title 
{
    height:66px;
    font-size: 12px;
    font-weight: bold;
    background-color: #fafafa;
    border-bottom:1px solid #4985C3;
}

.bizflow-box .bizflow-content 
{
    padding-bottom:20px;
    background-color: white;
}
.bizflow-box .button-area
{
    text-align:right;
    height:65px;
    line-height:65px;
    font-weight:normal;
    border-top: 1px solid #4985c3;
}
.bizflow-box .button-area a
{
    line-height:36px;
    margin-right:30px;
    background-color: #4985C3;
    border: 1px solid #8BC9DA;
    background-image:url(./images/flow-submit.png);
    background-position:85%;
    padding:11px;
}
.bizflow-box .button-area a span
{
    background-image:none;
    height:34px;
    padding-bottom:0px;
    padding-top:0px;
    color:#ffffff;
    font-weight:bold;
}
.bizflow-box .ui-tabs .ui-tabs-nav
{
    background:none;
    position: absolute;
    border:none !important;
    padding:0px;
}
.bizflow-box.ui-tabs .ui-tabs-panel
{
    padding:0px;
}
.bizflow-box .ui-tabs .ui-tabs-nav li
{
    background:none;
    height:36px;
    /*background-image:url(images/li-default-bg.png);
    background-repeat:repeat-x;*/
    padding-left:1px;
    padding-top:1px;
    padding-right:1px;
    margin-top:15px;
    margin-left:20px;
    border:none !important;
}
.bizflow-box .ui-tabs li.ui-tabs-active .tab-arrow
{
    display:inherit;
}

.bizflow-box .ui-tabs li .tab-arrow
{
    position:relative;
    background-image:url(./images/tab-arrow.png);
    top: 40px;
    height:9px;
    width:17px;
    background-color:#fafafa;
    display:none;
    margin-left:auto;
    margin-right:auto;
}

.bizflow-box .ui-tabs .ui-tabs-nav li a
{
    float: left;
    text-decoration: none;
    color: #464646;
    padding:0px 11px 0px 11px;
    line-height:34px;
    height:34px;
    background-color: #f4f4f4;
    border:1px solid #cccccc;
}
.bizflow-box .ui-tabs li.ui-tabs-active a
{
    color: #121212;
    background-color: #FFFFFF;
}
.ui-paintpanel .block-name
{
    position:absolute;
    height:36px;
    line-height:36px;
    background-color:#FFFFFF;
    border-bottom:1px solid #d5e0eb;
    border-right:1px solid #d5e0eb;
    font-size:12px;
    font-weight:bold;
    padding:0px 15px;
}

.ui-paintpanel .flow-iframe
{
    width:100%; 
    height:350px; 
    border:none; 
    background-color:#f1f8fd;
}
.arrow .blueball
{
    background-image:url(./images/blueball.png);
    width:8px;
    height:8px;
}
.arrow .grayball
{
    margin-left: 2px;
    background-image:url(./images/grayball.png);
    width:8px;
    height:8px;
    position:absolute;
}
.base-line.selected
{
    width:3px;
    background-color: rgb(166, 191, 117);/*辨识选中状态*/
}
.subflows
{
    height: 180px;
    overflow: scroll;
}
.ui-panel .panel-title
{
    text-align:left;
}

/*****新版本的FlowChart*/

.subfield-flowchart-dialog
{
    height:550px;
    /*height:795px;*/
}
.subfield-flowchart-dialog .dialog-title {
height:0px;
_height:30px;/*IE6*/
}
.subfield-flowchart-dialog .dialog-content
{
    padding:0px;
}
.subfield-flowchart-dialog .flowchart-area
{
    padding-top:20px;
}
.subfield-flowchart-dialog .ui-tabs
{
    margin-bottom:0px;
}
.subfield-flowchart-dialog .ui-tabs .ui-tabs-panel
{
    padding-top:0px;
    padding-right: 0px;
    padding-bottom:0px;
    padding:0px;
}
 .workflow-view-container
{
    height:600px;
}
.workflow-view-container .workflow_view_div
{
    height:495px;
    _overflow:auto;/*IE6*/
}
.subfield-flowchart-dialog .workflow-view-container,.subfield-flowchart-dialog .ui-paintpanel
{
    height:495px;
    min-height:495px;
}
.subfield-flowchart
{
}
.subfield-flowchart .flowchart-area
{
    /*float:left;*/
    overflow:auto;
    width:700px;
    /*width:800px;*/
    position: relative;
    left: 0;
    top: 0;
}
.subfield-flowchart .log-area
{
    
    /*float:left;*/
    width:280px;
    padding-left:10px;
    padding-right:10px;
    padding-bottom:10px;
    height:540px;
    position:absolute;
    right:0;
    top:0;
}
.subfield-flowchart .log-area .title
{
    padding-top:26px;
    padding-bottom:10px;
    color:#000;
    font-size:20px;
    font-weight:bold;
    text-align: center;
}
.subfield-flowchart .log-area .logs
{
    padding-left:10px;
    padding-right:10px;
    background-color:#FFFFFF;
    color:#666666;
    height:490px;
    overflow: auto;
}
.subfield-flowchart .log-area .log-item
{
    line-height: 15px;
    border-bottom: 1px #b2b2b2;
    border-bottom-style: dashed;
    padding-bottom: 5px;
    padding-top: 10px;
    word-wrap: break-word;
}
.subfield-flowchart .datetime
{
    font-weight: bolder;
}
.subfield-flowchart .description
{
    line-height: 20px;
}
.subfield-flowchart .logs .datetime
{
    font-weight:bolder;
}
.ui-dialog .subfield-flowchart .ui-tabs-nav li a.bizsegment-anchor
{
    padding-right: 30px;
    background-repeat: no-repeat;
    background-position: 85% 50%;
}
.subfield-flowchart .bizsegment-anchor.Wait,.subfield-flowchart .bizsegment-anchor.Ignore
{
    background-image: url(./images/wait.png);
    _background:#f5f5f5;
}
.subfield-flowchart .bizsegment-anchor.Ready,.subfield-flowchart .bizsegment-anchor.Running
{
    background: url(./images/running.png);
    _background:#cdebfe;
}
.subfield-flowchart .bizsegment-anchor.Finish
{
    background-image: url(./images/finish.png);
}




